%define        majversion  %(echo %version | cut -d. -f 1-2)
Name:          orc
Version:       0.4.19
Release:       1mamba
Summary:       Orc – The Optimized Inner Loops Runtime Compiler
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://code.entropywave.com/projects/orc/
Source:        http://gstreamer.freedesktop.org/src/orc/orc-%{version}.tar.gz
License:       MIT
Requires:      liborc = %{?epoch:%epoch:}%{version}-%{release}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Orc is a library and set of tools for compiling and executing very simple programs that operate on arrays of data.  The “language” is a generic assembly language that represents many of the features available in SIMD architectures, including saturated addition and subtraction, and many arithmetic operations.

Features:

* Users can create, compile, and run simple programs that use the vector extensions of the CPU, all directly from an application.
* Users can compile Orc programs to assembly source code to be compiled and used without linking against the Orc library.
* The generic assembly language can be extended by an application by adding new opcodes.
* An application can add rules for converting existing or new opcodes to binary code for a specific target.
* Current targets: SSE, MMX, ARM, Altivec.  The NEON and TI c64x+ DSP targets are not open source and can be licensed separately from Entropy Wave.
* Programs can optionally be emulated, which is useful for testing, or if no rules are available to convert Orc opcodes to executable code.

%package -n liborc
Summary:       Library of Optimized Inner Loops Runtime Compiler
Group:         System/Libraries

%description -n liborc
Library of Optimized Inner Loops Runtime Compiler

This package contains static libraries and header files need for development.

%package -n liborc-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      liborc = %{?epoch:%epoch:}%{version}-%{release}

%description -n liborc-devel
Library of Optimized Inner Loops Runtime Compiler

This package contains libraries and header files need for development.

%package -n liborc-static
Summary:       Static package for %{name}
Group:         Development/Libraries
Requires:      liborc-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n liborc-static
Library of Optimized Inner Loops Runtime Compiler

This package contains static libraries need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
Orc – The Optimized Inner Loops Runtime Compiler

This package contains %{name} API documentation.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n liborc -p /sbin/ldconfig

%preun -n liborc -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/orcc
%{_bindir}/orc-bugreport

%files -n liborc
%defattr(-,root,root)
%{_libdir}/liborc*-%{majversion}.so.*
%doc COPYING

%files -n liborc-devel
%defattr(-,root,root)
%dir %{_includedir}/orc-%{majversion}
%{_includedir}/orc-%{majversion}/orc
%{_includedir}/orc-%{majversion}/orc-test
%{_libdir}/liborc*-%{majversion}.so
%{_datadir}/aclocal/orc.m4
%{_libdir}/liborc-test-%{majversion}.so
%{_libdir}/pkgconfig/orc-%{majversion}.pc
%doc README TODO

%files -n liborc-static
%defattr(-,root,root)
%{_libdir}/liborc*-%{majversion}.*a

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/orc

%changelog
* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.19-1mamba
- update to 0.4.19

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 0.4.18-1mamba
- automatic update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 0.4.17-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.4.16-1mamba
- automatic version update by autodist

* Sun Oct 02 2011 Automatic Build System <autodist@mambasoft.it> 0.4.15-1mamba
- automatic version update by autodist

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 0.4.14-1mamba
- automatic update to 3.0.3.0 by autodist

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.11-1mamba
- update to 0.4.11

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 0.4.9-1mamba
- automatic update by autodist

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 0.4.5-1mamba
- automatic update by autodist

* Mon May 03 2010 gil <puntogil@libero.it> 0.4.4-1mamba
- update to 0.4.4

* Fri Mar 05 2010 gil <puntogil@libero.it> 0.4.3-1mamba
- package created by autospec
